Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.commons._1_0.etee
Class ApplicationErrors

    java.lang.Object
      be.fgov.ehealth.etee.commons._1_0.etee.ApplicationErrors

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-09-22T05:44:29+02:00",
               comments="JAXB RI v2.2.11")
    public class ApplicationErrors

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Message" type="{urn:be:fgov:ehealth:commons:1_0:core}LocalisedString" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="FaultId" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ApplicationErrors()`

Method Summary
`String` | `getCode()` Gets the value of the code property.
`String` | `getFaultId()` Gets the value of the faultId property.
`List<LocalisedString>` | `getMessages()` Gets the value of the messages property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setFaultId(String value)` Sets the value of the faultId property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationErrors

    public ApplicationErrors()

Method Detail

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getMessages

    public List<LocalisedString> getMessages()

  Gets the value of the messages property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messages property.

  For example, to add a new item, do as follows:

          getMessages().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalisedString`

### getFaultId

    public String getFaultId()

  Gets the value of the faultId property.

  Returns:
    possible object is `String`

### setFaultId

    public void setFaultId(String value)

  Sets the value of the faultId property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.